// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  PageView
} from '@/layouts'

export const asyncRouterMap = [{
  path: '/',
  name: 'index',
  component: BasicLayout,
  meta: {
    title: '运营后台'
  },
  redirect: '/home',
  children: [{
    path: '/home',
    name: 'home',
    redirect: '/home',
    component: PageView,
    meta: {
      title: '首页',
      icon: 'home'
    },
    hideChildrenInMenu: true,
    children: [{
      path: '/home',
      name: 'home',
      component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
      meta: {
        title: '首页',
        icon: 'home',
        hiddenHeaderContent: true
      }
    }]
  },
  {
    path: '/changePwd',
    name: 'changePwd',
    hidden: true,
    component: () => import(/* webpackChunkName: "changePwd" */ '@/views/user/ChangePwd'),
    meta: {
      title: '修改密码',
      icon: 'home'
    }
  },
  {
    path: '/shop',
    redirect: '/shop/order',
    component: PageView,
    meta: {
      title: '商城',
      icon: 'shop'
      // permission: 'M_tenants_list'
    },
    children: [{
      path: '/shop/order',
      redirect: '/shop/order/list',
      name: 'shopOrder',
      component: RouteView,
      meta: {
        title: '订单管理',
        icon: 'profile'
        // permission: 'M_tenants_list'
      },
      hideChildrenInMenu: true,
      children: [{
        path: '/shop/order/list',
        name: 'shopOrderList',
        component: () => import(/* webpackChunkName: "tenants" */ '@/views/shop/shopOrder.vue'),
        meta: {
          title: '订单列表',
          icon: 'profile',
          hidden: true
          // permission: 'M_tenants_list'
        }
      },
      {
        path: '/shop/order/detail/:id',
        name: 'shopOrderDetail',
        component: () => import(/* webpackChunkName: "tenants" */ '@/views/shop/orderDetail.vue'),
        meta: {
          title: '订单详情',
          icon: 'profile',
          hidden: true
          // permission: 'M_tenants_list'
        }
      }
      ]
    },
    {
      path: '/shop/goods',
      redirect: '/shop/goods/list',
      name: 'goodsList',
      component: RouteView,
      meta: {
        title: '商品管理',
        icon: 'shopping'
        // permission: 'M_tenants_list'
      },
      hideChildrenInMenu: true,
      children: [{
        path: '/shop/goods/list',
        name: 'goodsListList',
        component: () => import(/* webpackChunkName: "tenants" */ '@/views/shop/goodsList.vue'),
        meta: {
          title: '商品列表',
          icon: 'shopping',
          hidden: true
          // permission: 'M_tenants_list'
        }
      },
      {
        path: '/shop/goods/add',
        name: 'goodsListAdd',
        component: () => import(/* webpackChunkName: "tenants" */ '@/views/shop/goodsEdit.vue'),
        meta: {
          title: '新增商品',
          icon: 'shopping',
          hidden: true
          // permission: 'M_tenants_list'
        }
      },
      {
        path: '/shop/goods/edit/:id',
        name: 'goodsListEdit',
        component: () => import(/* webpackChunkName: "tenants" */ '@/views/shop/goodsEdit.vue'),
        meta: {
          title: '编辑商品',
          icon: 'shopping',
          hidden: true
          // permission: 'M_tenants_list'
        }
      }
      ]
    },
    {
      path: '/shop/goodsShelves',
      name: 'goodsShelves',
      component: () => import(/* webpackChunkName: "tenants" */ '@/views/shop/goodsShelves.vue'),
      meta: {
        title: '商品排序',
        icon: 'flag'
        // permission: 'M_tenants_list'
      }
    },
    {
      path: '/shop/bannerSetting',
      name: 'bannerSetting',
      component: () => import(/* webpackChunkName: "appSetting" */ '@/views/shop/bannerSetting.vue'),
      meta: {
        title: '推广位设置',
        icon: 'file-image'
        // permission: 'M_banner'
      }
    }
    ]
  },
  {
    path: '/equipmentManage',
    redirect: '/equipmentManage/network',
    component: PageView,
    meta: {
      title: '网点设备管理',
      icon: 'shop'
      // permission: 'M_tenants_list'
    },
    children: [{
      path: '/equipmentManage/network',
      name: 'network',
      component: () => import(/* webpackChunkName: "tenants" */ '@/views/equipmentManage/network/network.vue'),
      meta: {
        title: '网点管理',
        icon: 'profile'
        // permission: 'M_tenants_list'
      }
    },
    {
      path: '/equipmentManage/equipment',
      name: 'equipment',
      component: () => import(/* webpackChunkName: "tenants" */ '@/views/equipmentManage/equipment/equipment.vue'),
      meta: {
        title: '设备管理',
        icon: 'profile'
        // permission: 'M_tenants_list'
      }
    },
    {
      path: '/equipmentManage/openTimeSetting',
      name: 'openTimeSetting',
      component: () => import(/* webpackChunkName: "tenants" */
        '@/views/equipmentManage/openTimeSetting/OpenTimeSetting.vue'),
      meta: {
        title: '投放时间设置',
        icon: 'profile'
        // permission: 'M_tenants_list'
      }
    }
    ]
  },
  {
    path: '/releaseRecord',
    name: 'releaseRecord',
    component: PageView,
    hideChildrenInMenu: true,
    redirect: '/releaseRecord/list',
    meta: {
      title: '投放记录',
      icon: 'shop'
      // permission: 'M_tenants_list'
    },
    children: [{
      path: '/releaseRecord/list',
      name: 'releaseRecordList',
      component: () => import(/* webpackChunkName: "tenants" */ '@/views/releaseRecord/releaseRecordList.vue'),
      meta: {
        title: '投放记录',
        icon: 'profile'
        // permission: 'M_tenants_list'
      }
    }]
  },
  {
    path: '/shopSetting',
    redirect: '/shopSetting/bannerSetting',
    component: PageView,
    meta: {
      title: '商城设置',
      icon: 'appstore'
      // permission: 'M_appSetting'
    },
    children: [{
      path: '/shopSetting/goodsClass',
      name: 'goodsClass',
      component: () => import(/* webpackChunkName: "tenants" */ '@/views/shopSetting/goodsClass.vue'),
      meta: {
        title: '商品分类管理',
        icon: 'folder'
        // permission: 'M_tenants_list'
      }
    },
    {
      path: '/shopSetting/supplier',
      name: 'supplier',
      component: () => import(/* webpackChunkName: "tenants" */ '@/views/shopSetting/supplier.vue'),
      meta: {
        title: '供货商管理',
        icon: 'solution'
        // permission: 'M_tenants_list'
      }
    }
    ]
  },
  // auth
  {
    path: '/auth',
    redirect: '/auth/userList',
    component: PageView,
    meta: {
      title: '权限管理',
      icon: 'lock'
      // permission: 'M_auth_0'
    },
    children: [{
      path: '/menusAuth/menu',
      name: 'powerMenu',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/menu/menu.vue'),
      meta: {
        title: '菜单管理',
        icon: 'profile'
        // permission: 'M_menusAuth_menu'
      }
    },
    {
      path: '/auth/userList',
      name: 'powerUserList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
      meta: {
        title: '用户管理',
        icon: 'user'
        // permission: 'M_auth_userList'
      }
    },
    {
      path: '/auth/roleList',
      name: 'powerRoleList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
      meta: {
        title: '角色管理',
        icon: 'solution'
        // permission: 'M_auth_roleList'
      }
    }
    ]
  },
  {
    path: '/setting',
    redirect: '/setting/userList',
    component: PageView,
    meta: {
      title: '系统设置',
      icon: 'setting'
      // permission: 'M_setting_0'
    },
    children: [{
      path: '/setting/dataDictionary',
      name: 'powerDD',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/dataDictionary/dataDictionary.vue'),
      meta: {
        title: '数据字典管理',
        icon: 'database'
        // permission: 'M_sys_dataDictionary'
      }
    },
    // {
    //   path: '/setting/register',
    //   name: 'powerRegister',
    //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
    //   meta: {
    //     title: '参数管理',
    //     icon: 'key'
    //     // permission: 'M_sys_register'
    //   }
    // },
    // {
    //   path: '/setting/jobs',
    //   name: 'powerJobs',
    //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/job/jobs.vue'),
    //   meta: {
    //     title: '定时器',
    //     icon: 'alert',
    //     permission: 'M_sys_job'
    //   }
    // },
    {
      path: '/setting/OperateJournal',
      name: 'powerOperateJournal',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/OperateJournal/OperateJournal.vue'),
      meta: {
        title: '操作日志',
        icon: 'read'
        // permission: 'M_operateJournal'
      }
    }
    ]
  }
  ]
},
{
  path: '*',
  redirect: '/404',
  hidden: true
}
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
  path: '/user',
  component: UserLayout,
  redirect: '/user/login',
  hidden: true,
  children: [{
    path: 'login',
    name: 'login',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
  },
  {
    path: 'register',
    name: 'register',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
  },
  {
    path: 'register-result',
    name: 'registerResult',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
  },
  {
    path: 'recover',
    name: 'recover',
    component: undefined
  }
  ]
},
{
  path: '/404',
  component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
}

]
